using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NEIntelligentControl2.Views.Basic
{
    /// <summary>
    /// HintBar.xaml 的交互逻辑
    /// </summary>
    public partial class HintBar : UserControl
    {
        public HintBar()
        {
            InitializeComponent();
        }



        internal void Inof(string v)
        {
            // FFCA5100  FF006CBE
            Dispatcher.Invoke(() =>
            {
                this.Visibility = Visibility.Visible;
                _SBMain.Background = new SolidColorBrush(Color.FromRgb(0x00, 0x6C, 0xBE));
                _TBStatus.Text = v;
                this.Visibility = Visibility.Visible;
            });
        }

        internal void Warning(string v)
        {
            Dispatcher.Invoke(() =>
            {
                this.Visibility = Visibility.Visible;
                _SBMain.Background = new SolidColorBrush(Color.FromRgb(0xCA, 0x51, 0x00));
                _TBStatus.Text = v;
                this.Visibility = Visibility.Visible;
            });
        }

        internal void Success()
        {
            Dispatcher.Invoke(() =>
            {
                this._TBStatus.Text = "就绪";
                _SBMain.Background = new SolidColorBrush(Colors.WhiteSmoke);
                this.Visibility = Visibility.Collapsed;
            });
        }
    }
}
